Uploaded image for project: 'Qt'
  1. Qt
  2. QTBUG-103731

Version check fails when cross-compiling

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Reported
    • Priority: P2: Important
    • Resolution: Unresolved
    • Affects Version/s: 6.4
    • Fix Version/s: None
    • Component/s: QML: Compiler
    • Labels:
      None

      Description

      Qmlcompilerplus cannot be used when target architecture bitness is different than host (armv7 32-bit target vs. x86_64 64-bit host)

      Version of package Qt6QmlCompilerPlusPrivate was requested but an
      incompatible version was found: 6.4.0 (64bit).  You can pass
      -DQT_NO_PACKAGE_VERSION_CHECK=TRUE to disable the version check and force
      the incompatible version to be used.  There is no guarantee the build will
      succeed.  Use at your own risk.  You can silence this warning by passing
      -DQT_NO_PACKAGE_VERSION_INCOMPATIBLE_WARNING=TRUE 

        Attachments

        No reviews matched the request. Check your Options in the drop-down menu of this sections header.

          Activity

            People

            Assignee:
            qtqmlteam Qt Qml Team User
            Reporter:
            sapiippo Samuli Piippo
            Votes:
            0 Vote for this issue
            Watchers:
            2 Start watching this issue

              Dates

              Created:
              Updated:

                Gerrit Reviews

                There are no open Gerrit changes